Format (Neo4j Community 1.8.RC1 API)
Date: 2012-09-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.helpers
Class Format

    java.lang.Object
      org.neo4j.helpers.Format

    public class Format

extends Object

Field Summary
`static String` | `DATE_FORMAT`
`static TimeZone` | `DEFAULT_TIME_ZONE` Default time zone is UTC (+00:00) so that comparing timestamped logs from different sources is an easier task.
`static String` | `TIME_FORMAT`

Method Summary
`static String` | `bytes(long bytes)`
`static String` | `date()`
`static String` | `date(Date date)`
`static String` | `date(Date date, TimeZone timeZone)`
`static String` | `date(long millis)`
`static String` | `date(long millis, TimeZone timeZone)`
`static String` | `date(TimeZone timeZone)`
`static String` | `time()`
`static String` | `time(Date date)`
`static String` | `time(Date date, TimeZone timeZone)`
`static String` | `time(long millis)`
`static String` | `time(long millis, TimeZone timeZone)`
`static String` | `time(TimeZone timeZone)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DATE_FORMAT

    public static final String DATE_FORMAT

See Also:
  Constant Field Values

### TIME_FORMAT

    public static final String TIME_FORMAT

See Also:
  Constant Field Values

### DEFAULT_TIME_ZONE

    public static final TimeZone DEFAULT_TIME_ZONE

  Default time zone is UTC (+00:00) so that comparing timestamped logs from different sources is an easier task.

Method Detail

### date

    public static String date()

### date

    public static String date(TimeZone timeZone)

### date

    public static String date(long millis)

### date

    public static String date(long millis,
                              TimeZone timeZone)

### date

    public static String date(Date date)

### date

    public static String date(Date date,
                              TimeZone timeZone)

### time

    public static String time()

### time

    public static String time(TimeZone timeZone)

### time

    public static String time(long millis)

### time

    public static String time(long millis,
                              TimeZone timeZone)

### time

    public static String time(Date date)

### time

    public static String time(Date date,
                              TimeZone timeZone)

### bytes

    public static String bytes(long bytes)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2012 The Neo4j Graph Database Project. All Rights Reserved.